#pragma once

#include "utility.h"

#include <maps/libs/chrono/include/time_point.h>
#include <maps/libs/pgpool/include/pgpool3.h>

#include <optional>

#include <pqxx/transaction_base>

namespace maps::mrc::taxi_stat {

void updateLastRunTime(pgpool3::Pool&, chrono::TimePoint now);

std::optional<chrono::TimePoint> loadLastRunTime(pqxx::transaction_base&);

Bans loadBans(pgpool3::Pool&, chrono::TimePoint now);

}  // namespace maps::mrc::taxi_stat
